> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/paper-matching-and-assignment/how-to-get-all-assignments-for-a-user.md).

# How to Get all Assignments for a User

Assignments are stored as edges. You can view all of the assignment edges for a user in two ways:

#### View them at api2.openreview\.net

1. In your browser search bar, enter the following. If you want to view assignments for an Area Chair, change 'Reviewers' to 'Area\_Chairs'. Replace your\_venue\_id with your full venue id. This will bring up all of the assignment edges for all of your venue's reviewers.

{% code overflow="wrap" lineNumbers="true" %}

```url
api2.openreview.net/edges?invitation=<your_venue_id>/Reviewers/-/Assignment&groupBy=tail
```

{% endcode %}

2\. Now we want to filter by a particular reviewer. If you look at a specific edge, you will see that the field "tail" corresponds to the profile ID of the assigned reviewer. So to see only the assignments for reviewer \~User\_One1, change your search query to the following:

{% code overflow="wrap" lineNumbers="true" %}

```url
api2.openreview.net/edges?invitation=<your_venue_id>/Reviewers/-/Assignment&tail=~User_One1
```

{% endcode %}

#### Retrieve them with the Python Client

1. If you have not done so, you will need to [install and instantiate the openreview-py client](/v1/getting-started/using-the-api/installing-and-instantiating-the-python-client.md).
2. Set a variable 'tail' to the profile ID of the user you are interested in, for example:

```python
tail = "~User_One1"
```

3\. Set a variable 'invitation' to the invitation of the edges you are trying to view. If your user of interest is a reviewer, the invitation would be in the format \<your\_venue\_id>/Reviewers/-/Assignment.

```python
invitation = "<your_venue_id>/Reviewers/-/Assignment
```

4\. Retrieve all of the edges posted to that invitation for the user of interest.

```python
edges = client.get_all_edges(invitation = invitation, tail = tail)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/paper-matching-and-assignment/how-to-get-all-assignments-for-a-user.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
